jQuery( function() {

	// toggle to display search form
	jQuery('.search-toggle').on( "click", function(event) {
		var that = jQuery('.search-toggle'),
		wrapper = jQuery('.search-block'),
		fpBody = jQuery('.site').parent("body");

		that.toggleClass('active');
		wrapper.toggleClass('off').toggleClass('on');
		fpBody.toggleClass('overflow-hide');
		jQuery('.search-block.on').fadeIn();
		jQuery('.search-block.off').fadeOut();
		if ( that.is('.active') || jQuery('.search-toggle')[0] === event.target ) {
			wrapper.find('.s').focus();
		}

		// search form escape while pressing ESC key
		jQuery(document).on('keydown', function (e) {
			if ( e.keyCode === 27 && that.hasClass('active') ) {
				that.removeClass('active');
				wrapper.addClass('off').removeClass('on');
				fpBody.removeClass( 'overflow-hide' );
				jQuery('.search-block.off').fadeOut();
			}
		});
	});

	jQuery(document).ready(function(){
		var doc_height = jQuery(window).outerHeight(),
		doc_width = jQuery(window).outerWidth(),
		wp_adminBar = jQuery('#wpadminbar').outerHeight(),
		navbar = jQuery('.navbar').outerHeight(),
		infobar = jQuery('.info-bar').outerHeight(),
		alter_height = 0;
			
		 if ( ( wp_adminBar || navbar || infobar ) && doc_width > 991 ) {
			if ( wp_adminBar && navbar && infobar ) {
				alter_height = wp_adminBar + navbar + infobar;
			} else if ( navbar && infobar ) {
				alter_height = navbar + infobar;
			} else {
				alter_height = navbar;
			}
			if (doc_width > doc_height) {
			 		jQuery('.featured-slider').find('.featured-content').css('min-height', doc_height - alter_height + 1)
			 	} else {
			 		jQuery('.featured-slider').find('.featured-content').css('min-height', doc_width - alter_height - (25/100*doc_width))
			 	}
		 }
	});

	jQuery(document).ready(function(){
		var doc_width = jQuery(window).outerWidth(),
		featured_slider = jQuery('.featured-slider'),
		slider_items = featured_slider.find('.slides'),
		slider_item_count = slider_items.length,
		slider_item_height = 0;

		if ( doc_width <= 991 ) {
			 for ( i = 0; i < slider_item_count; i++) {
				var slider_item_current_height = jQuery(slider_items[i]).outerHeight();
				if ( slider_item_current_height > slider_item_height ) {
					slider_item_height = slider_item_current_height;
				}
			 }
			 slider_items.find('.slider').css('min-height', slider_item_height);
		}
	});

	jQuery(document).ready(function(){
		if (jQuery('.page-template .gallery')) {
			var doc_width = jQuery(window).outerWidth(),
			wp_gallery = jQuery('.page-template .gallery'),
			wp_gallery_count = wp_gallery.length;
			console.log(doc_width);
			
			for ( i = 0; i < wp_gallery_count; i++) {
				var gallery_item = jQuery(wp_gallery[i]).find('.gallery-item'),
				gallery_item_count = gallery_item.length;

				if (doc_width <=767) {
					if ( gallery_item_count > 3) {
						if ((gallery_item_count) % 3 == 1 ) {
							jQuery(gallery_item[gallery_item_count-1]).css('max-width','100%');
						}
						if ((gallery_item_count) % 3 == 2 ) {
							jQuery(gallery_item[gallery_item_count-1]).css('max-width','50%');
							jQuery(gallery_item[gallery_item_count-2]).css('max-width','50%');
						}
					}
				}
			}
		} 
	});

	// hide #back-top first
	jQuery(".back-to-top").hide();

	// fade in #back-top
	jQuery(function () {
		jQuery(window).scroll(function () {
			if (jQuery(this).scrollTop() > 1000) {
				jQuery('.back-to-top').fadeIn();
			} else {
				jQuery('.back-to-top').fadeOut();
			}
		});

		// scroll body to 0px on click
		jQuery('.back-to-top a').on( "click", function () {
			jQuery('body,html,header').animate({
				scrollTop: 0
			}, 800);
			return false;
		});
	});

});
