<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Inc
 */

?>
<?php global $inc_settings; ?>
<div <?php post_class(); ?>>
	<?php if ( !has_post_format( 'quote' ) ) { // for not format quote ?>
		<header class="entry-header">
			<?php if ( is_sticky() && is_home() && !is_paged() ) { ?>
				<span class="sticky-post"></span>
			<?php } 
			if ( 'post' === get_post_type() ) { 
				if ( !has_post_format( 'link' ) ){ ?>
					<div class="entry-meta">
						<div class="date styled-date">
							<span class="day"><?php echo esc_html(get_the_date('j')); ?></span>
							<?php echo esc_html(get_the_date('F, Y')); ?>
						</div><!-- .date -->
					</div><!-- .entry-meta -->
				<?php } 
			}

			if ( is_singular() ) {
				the_title( '<h2 class="entry-title">', '</h2>' );
			} else {
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			}

			if ( 'post' === get_post_type() ) { 
				if ( !has_post_format( 'link' ) ){ // for not format link ?>
					<div class="entry-meta">
						<div class="author">
							<span class="label"><?php esc_html_e('by', 'inc'); ?></span>
							<?php inc_posted_author();?>
						</div><!-- .author -->
						<div class="categories">
							<span class="label"><?php esc_html_e('in', 'inc'); ?></span>
							<?php the_category(', '); ?>
							<?php if ( comments_open() ) { ?>
								<span class="get-seperator"><?php echo esc_html('/');?></span>
							<?php } ?>
						</div><!-- .categories -->
						<?php if ( comments_open() ) { ?>
							<div class="comments">
								<?php comments_popup_link( __('No Comments', 'inc'), __('1 Comment', 'inc'), __('% Comments', 'inc'), '', __('Comments Off', 'inc') ); ?>
							</div><!-- .comments -->
						<?php } ?>
					</div><!-- .entry-meta -->
				<?php } 
			} ?>
		</header><!-- .entry-header -->
	<?php } ?>

	<?php if ( has_post_thumbnail() && !is_single() ) { ?>
		<figure class="post-featured-image">
			<a title="<?php the_title_attribute(); ?>" href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
		</figure><!-- .post-featured-image -->
	<?php } ?>
	<div class="entry-content">
		<?php 
		if ( is_single() ) {

			the_content();

		} else {

			if ( !(has_post_format('link') || has_post_format('quote')) ) {

				the_excerpt();

				if ( str_word_count( strip_tags( get_the_content() ) ) > str_word_count( get_the_excerpt() ) ) { ?>
					<a href="<?php the_permalink(); ?>" class="btn btn-light btn-rounded btn-icon-right">
						<?php esc_html_e('Read More','inc'); ?>
						<i class="fa fa-arrow-right icon"></i>
					</a>
				<?php }

			} else {
				the_content();
			}
		} ?>
	</div><!-- .entry-content -->

	<?php
	if ( is_single() ) {
		echo get_the_tag_list( sprintf('<footer class="entry-meta"><span class="tag-links"><span class="label">%s:</span> ', esc_html__('Tags', 'inc') ), ', ', '</span><!-- .tag-links --></footer><!-- .entry-meta -->' );
	}
	 wp_link_pages( array(
		'before' 			=> '<div class="page-links">' . esc_html__( 'Pages: ', 'inc' ),
		'separator'			=> '',
		'link_before'		=> '<span>',
		'link_after'		=> '</span>',
		'after'				=> '</div>'
	) ); ?>
</div><!-- .post -->